Get Payment Tokens
POST
/subscription/get-cardsRetrieves all tokenized payment instruments (Cards and Bank accounts) associated with a specific customer identifier.
Header Parameters
token*
stringBody Parameters
customer_id*
stringPOST/subscription/get-cards
1curl --location 'https://api.ipospays.tech/v1/subscription/get-cards' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "customer_id": "12345"
6}'
Response
// Awaiting response…
Sample response
{
"status_code": 200,
"message": "Cards fetched successfully",
"response_code": "success",
"request_id": "REQ-123456789",
"timestamp": "2025-11-11T09:53:41.892Z",
"tokens": [
{
"token": "Your CardTokenHere",
"type": "CARD",
"brand": "VISA",
"last4": "1234"
},
{
"token": "Your ACHTokenHere",
"type": "ACH",
"sec_code": "PPD",
"last4": "7890"
}
]
}